<?php

namespace App\Generated\V1\DTOs;

use App\Generated\V1\Enums\Gender;
use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class FpdxProfileDTO extends DTO
{
    use ValueHelper;

    protected $uid;
    protected $sex;
    protected $sxo;
    protected $feedSex;
    protected $headimgurl;
    protected $nickname;
    protected $goldFlower;
    protected $redFlower;
    protected $ckCount;
    protected $task;
    protected $height;
    protected $age;
    protected $home;
    protected $address;
    protected $partnerId;
    protected $expect;
    protected $introduce;
    protected $phone;
    protected $school;
    protected $subject;
    protected $limit;
    protected $lastSign;
    protected $updatedAt;
    protected $createdAt;
    protected $signCon;
    protected $hiding;
    protected $star;
    protected $tag_1;
    protected $tag_2;
    protected $tag_3;
    protected $tag_4;
    protected $subscribeAt;
    protected $fpdxLike;
    protected $kfAccount;
    protected $rollback;
    protected $qq;
    protected $weixin;
    protected $education;
    protected $loginAt;
    protected $voice;
    protected $pairMinAge;
    protected $pairMaxAge;
    protected $pairProvince;
    protected $pairAll;
    protected $photoSrc;
    protected $photo_1;
    protected $photo_2;
    protected $photo_3;
    protected $photo_4;
    protected $fullUrlPhotoSrc;
    protected $fullUrlPhoto1;
    protected $fullUrlPhoto2;
    protected $fullUrlPhoto3;
    protected $fullUrlPhoto4;
    protected $lastLife;
    protected $why;
    protected $pairVoice;
    protected $jigsawAmount;
    protected $wxkf;
    protected $sign;
    protected $isAutoExpand;
    protected $onlyLast;
    protected $lng;
    protected $lat;
    protected $location;
    protected $feedDis;
    protected $identityAuth;
    protected $wxAuth;
    protected $workState;
    protected $claimTag;
    protected $lastLikemeLockAt;
    protected $beVipAt;
    protected $supvipEndat;
    protected $taskPhoto;
    protected $taskQuestion;
    protected $taskSing;
    protected $taskQuestionData;
    protected $logoffAt;
    protected $appLikeUnlockCount;
    protected $loginAppPlatform;
    protected $feedCnt;
    protected $feedLike;
    protected $bgcolor;

    /**
     * 用户标识
     * @return int
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * 性别
     * @return mixed
     */
    public function getSex()
    {
        return $this->sex;
    }

    /**
     * x性取向
     * @return mixed
     */
    public function getSxo()
    {
        return $this->sxo;
    }

    /**
     * 首页滑动卡片的性别
     * @return mixed
     */
    public function getFeedSex()
    {
        return $this->feedSex;
    }

    /**
     * 头像
     * @return string
     */
    public function getHeadimgurl()
    {
        return $this->headimgurl;
    }

    /**
     * 昵称
     * @return string
     */
    public function getNickname()
    {
        return $this->nickname;
    }

    /**
     * 金花数量
     * @return float
     */
    public function getGoldFlower()
    {
        return $this->goldFlower;
    }

    /**
     * 红花数量
     * @return float
     */
    public function getRedFlower()
    {
        return $this->redFlower;
    }

    /**
     * 抽卡数量
     * @return int
     */
    public function getCkCount()
    {
        return $this->ckCount;
    }

    /**
     * 任务完成情况
     * @return string
     */
    public function getTask()
    {
        return $this->task;
    }

    /**
     * 身高
     * @return int
     */
    public function getHeight()
    {
        return $this->height;
    }

    /**
     * 年龄
     * @return string
     */
    public function getAge()
    {
        return $this->age;
    }

    /**
     * 家乡
     * @return string
     */
    public function getHome()
    {
        return $this->home;
    }

    /**
     * 地址
     * @return string
     */
    public function getAddress()
    {
        return $this->address;
    }

    /**
     * 交友卡片id
     * @return int
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    /**
     * @return string|null
     */
    public function getExpect()
    {
        return $this->expect;
    }

    /**
     * @return string
     */
    public function getIntroduce()
    {
        return $this->introduce;
    }

    /**
     * @return string
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @return string
     */
    public function getSchool()
    {
        return $this->school;
    }

    /**
     * @return string
     */
    public function getSubject()
    {
        return $this->subject;
    }

    /**
     * @return string
     */
    public function getLimit()
    {
        return $this->limit;
    }

    /**
     * @return int
     */
    public function getLastSign()
    {
        return $this->lastSign;
    }

    /**
     * @return string
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * @return string
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * @return int
     */
    public function getSignCon()
    {
        return $this->signCon;
    }

    /**
     * @return int
     */
    public function getHiding()
    {
        return $this->hiding;
    }

    /**
     * @return string
     */
    public function getStar()
    {
        return $this->star;
    }

    /**
     * @return string
     */
    public function getTag_1()
    {
        return $this->tag_1;
    }

    /**
     * @return string
     */
    public function getTag_2()
    {
        return $this->tag_2;
    }

    /**
     * @return string
     */
    public function getTag_3()
    {
        return $this->tag_3;
    }

    /**
     * @return string
     */
    public function getTag_4()
    {
        return $this->tag_4;
    }

    /**
     * @return int
     */
    public function getSubscribeAt()
    {
        return $this->subscribeAt;
    }

    /**
     * @return string
     */
    public function getFpdxLike()
    {
        return $this->fpdxLike;
    }

    /**
     * @return string
     */
    public function getKfAccount()
    {
        return $this->kfAccount;
    }

    /**
     * @return int
     */
    public function getRollback()
    {
        return $this->rollback;
    }

    /**
     * @return string
     */
    public function getQq()
    {
        return $this->qq;
    }

    /**
     * @return string
     */
    public function getWeixin()
    {
        return $this->weixin;
    }

    /**
     * @return string
     */
    public function getEducation()
    {
        return $this->education;
    }

    /**
     * @return int
     */
    public function getLoginAt()
    {
        return $this->loginAt;
    }

    /**
     * @return string|null
     */
    public function getVoice()
    {
        return $this->voice;
    }

    /**
     * @return int
     */
    public function getPairMinAge()
    {
        return $this->pairMinAge;
    }

    /**
     * @return int
     */
    public function getPairMaxAge()
    {
        return $this->pairMaxAge;
    }

    /**
     * @return int
     */
    public function getPairProvince()
    {
        return $this->pairProvince;
    }

    /**
     * @return int
     */
    public function getPairAll()
    {
        return $this->pairAll;
    }

    /**
     * @return string
     */
    public function getPhotoSrc()
    {
        return $this->photoSrc;
    }

    /**
     * @return string|null
     */
    public function getPhoto_1()
    {
        return $this->photo_1;
    }

    /**
     * @return string|null
     */
    public function getPhoto_2()
    {
        return $this->photo_2;
    }

    /**
     * @return string|null
     */
    public function getPhoto_3()
    {
        return $this->photo_3;
    }

    /**
     * @return string|null
     */
    public function getPhoto_4()
    {
        return $this->photo_4;
    }

    /**
     * @return string
     */
    public function getFullUrlPhotoSrc()
    {
        return $this->fullUrlPhotoSrc;
    }

    /**
     * @return string|null
     */
    public function getFullUrlPhoto1()
    {
        return $this->fullUrlPhoto1;
    }

    /**
     * @return string|null
     */
    public function getFullUrlPhoto2()
    {
        return $this->fullUrlPhoto2;
    }

    /**
     * @return string|null
     */
    public function getFullUrlPhoto3()
    {
        return $this->fullUrlPhoto3;
    }

    /**
     * @return string|null
     */
    public function getFullUrlPhoto4()
    {
        return $this->fullUrlPhoto4;
    }

    /**
     * @return string|null
     */
    public function getLastLife()
    {
        return $this->lastLife;
    }

    /**
     * @return string|null
     */
    public function getWhy()
    {
        return $this->why;
    }

    /**
     * @return string|null
     */
    public function getPairVoice()
    {
        return $this->pairVoice;
    }

    /**
     * @return int
     */
    public function getJigsawAmount()
    {
        return $this->jigsawAmount;
    }

    /**
     * @return string|null
     */
    public function getWxkf()
    {
        return $this->wxkf;
    }

    /**
     * @return string|null
     */
    public function getSign()
    {
        return $this->sign;
    }

    /**
     * @return boolean
     */
    public function getIsAutoExpand()
    {
        return $this->isAutoExpand;
    }

    /**
     * @return boolean
     */
    public function isIsAutoExpand()
    {
        return $this->isAutoExpand;
    }

    /**
     * @return boolean
     */
    public function getOnlyLast()
    {
        return $this->onlyLast;
    }

    /**
     * @return boolean
     */
    public function isOnlyLast()
    {
        return $this->onlyLast;
    }

    /**
     * @return float
     */
    public function getLng()
    {
        return $this->lng;
    }

    /**
     * @return float
     */
    public function getLat()
    {
        return $this->lat;
    }

    /**
     * @return string
     */
    public function getLocation()
    {
        return $this->location;
    }

    /**
     * @return int
     */
    public function getFeedDis()
    {
        return $this->feedDis;
    }

    /**
     * @return string
     */
    public function getIdentityAuth()
    {
        return $this->identityAuth;
    }

    /**
     * @return int
     */
    public function getWxAuth()
    {
        return $this->wxAuth;
    }

    /**
     * @return string
     */
    public function getWorkState()
    {
        return $this->workState;
    }

    /**
     * @return string
     */
    public function getClaimTag()
    {
        return $this->claimTag;
    }

    /**
     * @return int
     */
    public function getLastLikemeLockAt()
    {
        return $this->lastLikemeLockAt;
    }

    /**
     * @return int
     */
    public function getBeVipAt()
    {
        return $this->beVipAt;
    }

    /**
     * @return int
     */
    public function getSupvipEndat()
    {
        return $this->supvipEndat;
    }

    /**
     * @return boolean
     */
    public function getTaskPhoto()
    {
        return $this->taskPhoto;
    }

    /**
     * @return boolean
     */
    public function isTaskPhoto()
    {
        return $this->taskPhoto;
    }

    /**
     * @return boolean
     */
    public function getTaskQuestion()
    {
        return $this->taskQuestion;
    }

    /**
     * @return boolean
     */
    public function isTaskQuestion()
    {
        return $this->taskQuestion;
    }

    /**
     * @return boolean
     */
    public function getTaskSing()
    {
        return $this->taskSing;
    }

    /**
     * @return boolean
     */
    public function isTaskSing()
    {
        return $this->taskSing;
    }

    /**
     * @return boolean
     */
    public function getTaskQuestionData()
    {
        return $this->taskQuestionData;
    }

    /**
     * @return boolean
     */
    public function isTaskQuestionData()
    {
        return $this->taskQuestionData;
    }

    /**
     * @return int
     */
    public function getLogoffAt()
    {
        return $this->logoffAt;
    }

    /**
     * @return int
     */
    public function getAppLikeUnlockCount()
    {
        return $this->appLikeUnlockCount;
    }

    /**
     * @return string
     */
    public function getLoginAppPlatform()
    {
        return $this->loginAppPlatform;
    }

    /**
     * @return int
     */
    public function getFeedCnt()
    {
        return $this->feedCnt;
    }

    /**
     * @return int
     */
    public function getFeedLike()
    {
        return $this->feedLike;
    }

    /**
     * @return int|null
     */
    public function getBgcolor()
    {
        return $this->bgcolor;
    }

    public function setUid($uid)
    {
        $this->uid = $uid;
    }

    public function setSex($sex)
    {
        $this->sex = $sex;
    }

    public function setSxo($sxo)
    {
        $this->sxo = $sxo;
    }

    public function setFeedSex($feedSex)
    {
        $this->feedSex = $feedSex;
    }

    public function setHeadimgurl($headimgurl)
    {
        $this->headimgurl = $headimgurl;
    }

    public function setNickname($nickname)
    {
        $this->nickname = $nickname;
    }

    public function setGoldFlower($goldFlower)
    {
        $this->goldFlower = $goldFlower;
    }

    public function setRedFlower($redFlower)
    {
        $this->redFlower = $redFlower;
    }

    public function setCkCount($ckCount)
    {
        $this->ckCount = $ckCount;
    }

    public function setTask($task)
    {
        $this->task = $task;
    }

    public function setHeight($height)
    {
        $this->height = $height;
    }

    public function setAge($age)
    {
        $this->age = $age;
    }

    public function setHome($home)
    {
        $this->home = $home;
    }

    public function setAddress($address)
    {
        $this->address = $address;
    }

    public function setPartnerId($partnerId)
    {
        $this->partnerId = $partnerId;
    }

    public function setExpect($expect)
    {
        $this->expect = $expect;
    }

    public function setIntroduce($introduce)
    {
        $this->introduce = $introduce;
    }

    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    public function setSchool($school)
    {
        $this->school = $school;
    }

    public function setSubject($subject)
    {
        $this->subject = $subject;
    }

    public function setLimit($limit)
    {
        $this->limit = $limit;
    }

    public function setLastSign($lastSign)
    {
        $this->lastSign = $lastSign;
    }

    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;
    }

    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;
    }

    public function setSignCon($signCon)
    {
        $this->signCon = $signCon;
    }

    public function setHiding($hiding)
    {
        $this->hiding = $hiding;
    }

    public function setStar($star)
    {
        $this->star = $star;
    }

    public function setTag_1($tag_1)
    {
        $this->tag_1 = $tag_1;
    }

    public function setTag_2($tag_2)
    {
        $this->tag_2 = $tag_2;
    }

    public function setTag_3($tag_3)
    {
        $this->tag_3 = $tag_3;
    }

    public function setTag_4($tag_4)
    {
        $this->tag_4 = $tag_4;
    }

    public function setSubscribeAt($subscribeAt)
    {
        $this->subscribeAt = $subscribeAt;
    }

    public function setFpdxLike($fpdxLike)
    {
        $this->fpdxLike = $fpdxLike;
    }

    public function setKfAccount($kfAccount)
    {
        $this->kfAccount = $kfAccount;
    }

    public function setRollback($rollback)
    {
        $this->rollback = $rollback;
    }

    public function setQq($qq)
    {
        $this->qq = $qq;
    }

    public function setWeixin($weixin)
    {
        $this->weixin = $weixin;
    }

    public function setEducation($education)
    {
        $this->education = $education;
    }

    public function setLoginAt($loginAt)
    {
        $this->loginAt = $loginAt;
    }

    public function setVoice($voice)
    {
        $this->voice = $voice;
    }

    public function setPairMinAge($pairMinAge)
    {
        $this->pairMinAge = $pairMinAge;
    }

    public function setPairMaxAge($pairMaxAge)
    {
        $this->pairMaxAge = $pairMaxAge;
    }

    public function setPairProvince($pairProvince)
    {
        $this->pairProvince = $pairProvince;
    }

    public function setPairAll($pairAll)
    {
        $this->pairAll = $pairAll;
    }

    public function setPhotoSrc($photoSrc)
    {
        $this->photoSrc = $photoSrc;
    }

    public function setPhoto_1($photo_1)
    {
        $this->photo_1 = $photo_1;
    }

    public function setPhoto_2($photo_2)
    {
        $this->photo_2 = $photo_2;
    }

    public function setPhoto_3($photo_3)
    {
        $this->photo_3 = $photo_3;
    }

    public function setPhoto_4($photo_4)
    {
        $this->photo_4 = $photo_4;
    }

    public function setFullUrlPhotoSrc($fullUrlPhotoSrc)
    {
        $this->fullUrlPhotoSrc = $fullUrlPhotoSrc;
    }

    public function setFullUrlPhoto1($fullUrlPhoto1)
    {
        $this->fullUrlPhoto1 = $fullUrlPhoto1;
    }

    public function setFullUrlPhoto2($fullUrlPhoto2)
    {
        $this->fullUrlPhoto2 = $fullUrlPhoto2;
    }

    public function setFullUrlPhoto3($fullUrlPhoto3)
    {
        $this->fullUrlPhoto3 = $fullUrlPhoto3;
    }

    public function setFullUrlPhoto4($fullUrlPhoto4)
    {
        $this->fullUrlPhoto4 = $fullUrlPhoto4;
    }

    public function setLastLife($lastLife)
    {
        $this->lastLife = $lastLife;
    }

    public function setWhy($why)
    {
        $this->why = $why;
    }

    public function setPairVoice($pairVoice)
    {
        $this->pairVoice = $pairVoice;
    }

    public function setJigsawAmount($jigsawAmount)
    {
        $this->jigsawAmount = $jigsawAmount;
    }

    public function setWxkf($wxkf)
    {
        $this->wxkf = $wxkf;
    }

    public function setSign($sign)
    {
        $this->sign = $sign;
    }

    public function setIsAutoExpand($isAutoExpand)
    {
        $this->isAutoExpand = $isAutoExpand;
    }

    public function setOnlyLast($onlyLast)
    {
        $this->onlyLast = $onlyLast;
    }

    public function setLng($lng)
    {
        $this->lng = $lng;
    }

    public function setLat($lat)
    {
        $this->lat = $lat;
    }

    public function setLocation($location)
    {
        $this->location = $location;
    }

    public function setFeedDis($feedDis)
    {
        $this->feedDis = $feedDis;
    }

    public function setIdentityAuth($identityAuth)
    {
        $this->identityAuth = $identityAuth;
    }

    public function setWxAuth($wxAuth)
    {
        $this->wxAuth = $wxAuth;
    }

    public function setWorkState($workState)
    {
        $this->workState = $workState;
    }

    public function setClaimTag($claimTag)
    {
        $this->claimTag = $claimTag;
    }

    public function setLastLikemeLockAt($lastLikemeLockAt)
    {
        $this->lastLikemeLockAt = $lastLikemeLockAt;
    }

    public function setBeVipAt($beVipAt)
    {
        $this->beVipAt = $beVipAt;
    }

    public function setSupvipEndat($supvipEndat)
    {
        $this->supvipEndat = $supvipEndat;
    }

    public function setTaskPhoto($taskPhoto)
    {
        $this->taskPhoto = $taskPhoto;
    }

    public function setTaskQuestion($taskQuestion)
    {
        $this->taskQuestion = $taskQuestion;
    }

    public function setTaskSing($taskSing)
    {
        $this->taskSing = $taskSing;
    }

    public function setTaskQuestionData($taskQuestionData)
    {
        $this->taskQuestionData = $taskQuestionData;
    }

    public function setLogoffAt($logoffAt)
    {
        $this->logoffAt = $logoffAt;
    }

    public function setAppLikeUnlockCount($appLikeUnlockCount)
    {
        $this->appLikeUnlockCount = $appLikeUnlockCount;
    }

    public function setLoginAppPlatform($loginAppPlatform)
    {
        $this->loginAppPlatform = $loginAppPlatform;
    }

    public function setFeedCnt($feedCnt)
    {
        $this->feedCnt = $feedCnt;
    }

    public function setFeedLike($feedLike)
    {
        $this->feedLike = $feedLike;
    }

    public function setBgcolor($bgcolor)
    {
        $this->bgcolor = $bgcolor;
    }

    public function getAttributeMap()
    {
        return [
            ['uid', 'uid', 'bail|integer', Constants::INTEGER, null],
            ['sex', 'sex', Gender::class, Constants::ENUM, null],
            ['sxo', 'sxo', Gender::class, Constants::ENUM, null],
            ['feedSex', 'feed_sex', Gender::class, Constants::ENUM, null],
            ['headimgurl', 'headimgurl', 'bail|string', Constants::STRING, null],
            ['nickname', 'nickname', 'bail|string', Constants::STRING, null],
            ['goldFlower', 'gold_flower', 'bail|numeric', Constants::FLOAT, 'numeric'],
            ['redFlower', 'red_flower', 'bail|numeric', Constants::FLOAT, 'numeric'],
            ['ckCount', 'ck_count', 'bail|integer', Constants::INTEGER, null],
            ['task', 'task', 'bail|string', Constants::STRING, null],
            ['height', 'height', 'bail|integer', Constants::INTEGER, null],
            ['age', 'age', 'bail|string', Constants::STRING, null],
            ['home', 'home', 'bail|string', Constants::STRING, null],
            ['address', 'address', 'bail|string', Constants::STRING, null],
            ['partnerId', 'partner_id', 'bail|integer', Constants::INTEGER, null],
            ['expect', 'expect', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['introduce', 'introduce', 'bail|string', Constants::STRING, null],
            ['phone', 'phone', 'bail|string', Constants::STRING, null],
            ['school', 'school', 'bail|string', Constants::STRING, null],
            ['subject', 'subject', 'bail|string', Constants::STRING, null],
            ['limit', 'limit', 'bail|string', Constants::STRING, null],
            ['lastSign', 'last_sign', 'bail|integer', Constants::INTEGER, null],
            ['updatedAt', 'updated_at', 'bail|string', Constants::STRING, null],
            ['createdAt', 'created_at', 'bail|string', Constants::STRING, null],
            ['signCon', 'sign_con', 'bail|integer', Constants::INTEGER, null],
            ['hiding', 'hiding', 'bail|integer', Constants::INTEGER, null],
            ['star', 'star', 'bail|string', Constants::STRING, null],
            ['tag_1', 'tag_1', 'bail|string', Constants::STRING, null],
            ['tag_2', 'tag_2', 'bail|string', Constants::STRING, null],
            ['tag_3', 'tag_3', 'bail|string', Constants::STRING, null],
            ['tag_4', 'tag_4', 'bail|string', Constants::STRING, null],
            ['subscribeAt', 'subscribe_at', 'bail|integer', Constants::INTEGER, null],
            ['fpdxLike', 'fpdx_like', 'bail|string', Constants::STRING, null],
            ['kfAccount', 'kf_account', 'bail|string', Constants::STRING, null],
            ['rollback', 'rollback', 'bail|integer', Constants::INTEGER, null],
            ['qq', 'qq', 'bail|string', Constants::STRING, null],
            ['weixin', 'weixin', 'bail|string', Constants::STRING, null],
            ['education', 'education', 'bail|string', Constants::STRING, null],
            ['loginAt', 'login_at', 'bail|integer', Constants::INTEGER, null],
            ['voice', 'voice', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['pairMinAge', 'pair_min_age', 'bail|integer', Constants::INTEGER, null],
            ['pairMaxAge', 'pair_max_age', 'bail|integer', Constants::INTEGER, null],
            ['pairProvince', 'pair_province', 'bail|integer', Constants::INTEGER, null],
            ['pairAll', 'pair_all', 'bail|integer', Constants::INTEGER, null],
            ['photoSrc', 'photo_src', 'bail|string', Constants::STRING, null],
            ['photo_1', 'photo_1', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_2', 'photo_2', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_3', 'photo_3', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_4', 'photo_4', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['fullUrlPhotoSrc', 'full_url_photo_src', 'bail|string', Constants::STRING, null],
            ['fullUrlPhoto1', 'full_url_photo1', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['fullUrlPhoto2', 'full_url_photo2', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['fullUrlPhoto3', 'full_url_photo3', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['fullUrlPhoto4', 'full_url_photo4', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['lastLife', 'last_life', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['why', 'why', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['pairVoice', 'pair_voice', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['jigsawAmount', 'jigsaw_amount', 'bail|integer', Constants::INTEGER, null],
            ['wxkf', 'wxkf', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['sign', 'sign', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['isAutoExpand', 'is_auto_expand', 'bail|boolean', Constants::BOOLEAN, null],
            ['onlyLast', 'only_last', 'bail|boolean', Constants::BOOLEAN, null],
            ['lng', 'lng', 'bail|numeric', Constants::FLOAT, 'numeric'],
            ['lat', 'lat', 'bail|numeric', Constants::FLOAT, 'numeric'],
            ['location', 'location', 'bail|string', Constants::STRING, null],
            ['feedDis', 'feed_dis', 'bail|integer', Constants::INTEGER, null],
            ['identityAuth', 'identity_auth', 'bail|string', Constants::STRING, null],
            ['wxAuth', 'wx_auth', 'bail|integer', Constants::INTEGER, null],
            ['workState', 'work_state', 'bail|string', Constants::STRING, null],
            ['claimTag', 'claim_tag', 'bail|string', Constants::STRING, null],
            ['lastLikemeLockAt', 'last_likeme_lock_at', 'bail|integer', Constants::INTEGER, null],
            ['beVipAt', 'be_vip_at', 'bail|integer', Constants::INTEGER, null],
            ['supvipEndat', 'supvip_endat', 'bail|integer', Constants::INTEGER, null],
            ['taskPhoto', 'task_photo', 'bail|boolean', Constants::BOOLEAN, null],
            ['taskQuestion', 'task_question', 'bail|boolean', Constants::BOOLEAN, null],
            ['taskSing', 'task_sing', 'bail|boolean', Constants::BOOLEAN, null],
            ['taskQuestionData', 'task_question_data', 'bail|boolean', Constants::BOOLEAN, null],
            ['logoffAt', 'logoff_at', 'bail|integer', Constants::INTEGER, null],
            ['appLikeUnlockCount', 'app_like_unlock_count', 'bail|integer', Constants::INTEGER, null],
            ['loginAppPlatform', 'login_app_platform', 'bail|string', Constants::STRING, null],
            ['feedCnt', 'feed_cnt', 'bail|integer', Constants::INTEGER, null],
            ['feedLike', 'feed_like', 'bail|integer', Constants::INTEGER, null],
            ['bgcolor', 'bgcolor', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

}
